#pragma STACK-
#pragma RANGE-
#pragma W_FUNC_PROC-
#pragma W_MAC_REDEF-

#include MKSCREEN.HDR
#include MKTIME.HDR
#include SCREEN.HDR
#include MKKBD.HDR
#include IO.HDR

VARDEF EXTERN
   LOGICAL use_scrn_save
ENDDEF

VARDEF PRIVATE
   LOGICAL on_off_scrn = .T.
ENDDEF

 ******************************************************************************
 *									      *
 *  Programm        : MKCRON V1.0   			  (C) 1992 Kalkhoff   *
 *  Modul           : CRONSCRNSAVE					      *
 *  Autor           : M.T. Kalkhoff					      *
 *  letzte nderung : 07.09.1992					      *
 *									      *
 *  Aufgabe         : Dieses Modul handelt den Screen Saver.                  *
 *									      *
 ******************************************************************************
PROCEDURE CronScrnSave

   IF on_off_scrn

      Save_Screen()
      HideClock( 0, .F. )
      HideClock( 1, .F. )
      HideClock( 2, .F. )
      ClearSlow( 30, 00, 00, 24, 79, ' ', 15 )

   ELSE

      Restore_Area()
      ShowClock( 0 )
      ShowClock( 2 )

      IF use_scrn_save
         ShowClock( 1 )
      ENDIF

   ENDIF

   on_off_scrn = .NOT. on_off_scrn

ENDPRO